#ifndef _RTE_PWM_OUT_H_
#define _RTE_PWM_OUT_H_

#include "TYW_stdint.h"


void RTE_PWM_Init(void);
void RTE_PWM_Start(void);
void RTE_PWM_Stop(void);

void RTE_PWM_Set_Point(uint16_t m_Cycle, uint16_t m_Duty);
void RTE_PWM_Set_Panel(uint16_t m_Cycle, uint16_t m_Duty);
void RTE_PWM_Set_Speed_Out(uint16_t m_Cycle, uint16_t m_Duty);
void RTE_PWM_Set_LCD(uint16_t m_Cycle, uint16_t m_Duty);
void RTE_PWM_Set_Tacho_Out(uint16_t m_Cycle, uint16_t m_Duty);

void RTE_PWM_Point_Stop(void);
void RTE_PWM_Point_Start(void);

void RTE_PWM_Panel_Stop(void);
void RTE_PWM_Panel_Start(void);

void RTE_PWM_LCD_Stop(void);
void RTE_PWM_LCD_Start(void);

#endif
